%define module   Package-Generator
%define version    0.103
%define release    %mkrel 1

Name:       perl-%{module}
Version:    %{version}
Release:    %{release}
License:    GPL or Artistic
Group:      Development/Perl
Summary:    pseudo-garbage-collection for packages
Url:        http://search.cpan.org/dist/%{module}
Source:     http://www.cpan.org/modules/by-module/Package/%{module}-%{version}.tar.gz
BuildRequires: perl(Scalar::Util)
BuildRequires: perl(Test::More)
BuildArch: noarch


%description
This module allows you to create simple objects which, when destroyed,
delete a given package. This lets you approximate lexically scoped
packages.

%prep
%setup -q -n %{module}-%{version} 

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
make test

%install
rm -rf %{buildroot}
%makeinstall_std

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc Changes LICENSE README META.yml
%{_mandir}/man3/*
%{perl_vendorlib}/Package

%changelog
* Sat Jan 22 2011 jquelin <jquelin> 0.103-1.mga1
+ Revision: 32300
- mageia rebuild
- imported package perl-Package-Generator


* Fri Jul 10 2009 Guillaume Rousse <guillomovitch@mandriva.org> 0.103-1mdv2010.0
+ Revision: 394088
- update to new version 0.103

* Fri Aug 08 2008 Thierry Vignaud <tvignaud@mandriva.com> 0.102-2mdv2009.0
+ Revision: 268705
- rebuild early 2009.0 package (before pixel changes)

* Sat May 31 2008 Guillaume Rousse <guillomovitch@mandriva.org> 0.102-1mdv2009.0
+ Revision: 213827
- import perl-Package-Generator


* Sat May 31 2008 Guillaume Rousse <guillomovitch@mandriva.org> 0.102-1mdv2009.0
- first mdv release
